summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMartchus2018-05-28 21:54:49 +0200
committerMartchus2018-05-28 21:54:49 +0200
commit6a27814250717b946f0d21fb3b7d3258ed2bc2ab (patch)
tree7c3940346df8bd62369cc3c9eb07357086fc0d95 /PKGBUILD
parent89fc27c4a3c5556994d48d0e45e52865427ef567 (diff)
downloadaur-6a27814250717b946f0d21fb3b7d3258ed2bc2ab.tar.gz
Update to 5.11.0
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD37
1 files changed, 24 insertions, 13 deletions
diff --git a/PKGBUILD b/PKGBUILD
index dabf06cd42f..52f5596973d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,7 +8,7 @@
_qt_module=qtcanvas3d
pkgname="mingw-w64-qt5-canvas3d"
-pkgver=5.10.1
+pkgver=5.11.0
pkgrel=1
arch=('any')
pkgdesc="A JavaScript 3D rendering API for Qt Quick (mingw-w64)"
@@ -20,7 +20,7 @@ license=('GPL3' 'LGPL' 'FDL' 'custom')
url='https://www.qt.io/'
_pkgfqn="${_qt_module}-everywhere-src-${pkgver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${pkgver}/submodules/${_pkgfqn}.tar.xz")
-sha256sums=('de829a8e6aa4b8496048e9b6f3bff306a80c35935855a94426025ddfb8bcb0c0')
+sha256sums=('3fc60eafbe8737a8ff126eb9e2becc010d94f3db99dfa1d365e84f6af4540ccf')
_architectures='i686-w64-mingw32 x86_64-w64-mingw32'
[[ $NO_STATIC_LIBS ]] || \
@@ -53,7 +53,12 @@ package() {
make INSTALL_ROOT="$pkgdir" install
- # Use prl files from build directory since installed prl files seem to have incorrect QMAKE_PRL_LIBS_FOR_CMAKE
+ # ensure to get the import lib, too
+ [[ "${_config##*=}" == 'shared' ]] &&
+ install -Dm755 qml/QtCanvas3D/*.dll -t "${pkgdir}/usr/${_arch}/bin" &&
+ install -Dm644 qml/QtCanvas3D/*.dll.a -t "${pkgdir}/usr/${_arch}/lib"
+
+ # use prl files from build directory since installed prl files seem to have incorrect QMAKE_PRL_LIBS_FOR_CMAKE
if [[ -d 'lib' ]]; then
pushd 'lib'
find -iname '*.static.prl' -exec cp --target-directory "${pkgdir}/usr/${_arch}/lib" --parents {} +
@@ -65,23 +70,29 @@ package() {
popd
fi
- # ensure to get the import lib, too
- [[ "${_config##*=}" == 'shared' ]] &&
- install -Dm755 qml/QtCanvas3D/*.dll -t "${pkgdir}/usr/${_arch}/bin" &&
- install -Dm644 qml/QtCanvas3D/*.dll.a -t "${pkgdir}/usr/${_arch}/lib"
- find "${pkgdir}/usr/${_arch}/lib" -maxdepth 1 -name "*.dll" -exec rm {} \;
+ # replace library path in *.prl files so it points to the installed location and not the build directory
+ find "${pkgdir}/usr/${_arch}/lib" \( -type f -name '*.prl' -o -name '*.pc' \) -exec sed -i -e "s:$PWD/lib:/usr/$_arch/lib:g" {} \;
+
+ # remove prl files for debug version
+ if ! [[ $MINGW_W64_QT_DEBUG_BUILD ]]; then
+ for file in $(find "${pkgdir}/usr/${_arch}" -name '*d.prl' -o -name '*d.static.prl'); do
+ [ -f "${file%d*}${file##*d}" ] && rm "${file}";
+ done
+ fi
+
+ find "${pkgdir}/usr/${_arch}/lib" -maxdepth 1 -name '*.dll' -delete
[ "$NO_STATIC_EXECUTABLES" -a "${_config##*=}" = static -o "$NO_EXECUTABLES" ] && \
- find "${pkgdir}/usr/${_arch}" -name "*.exe" -exec rm {} \; || \
- find "${pkgdir}/usr/${_arch}" -name "*.exe" -exec ${_arch}-strip --strip-all {} \;
- find "${pkgdir}/usr/${_arch}" -name "*.dll" -exec ${_arch}-strip --strip-unneeded {} \;
- find "${pkgdir}/usr/${_arch}" -name "*.a" -exec ${_arch}-strip -g {} \;
+ find "${pkgdir}/usr/${_arch}" -name '*.exe' -delete || \
+ find "${pkgdir}/usr/${_arch}" -name '*.exe' -exec ${_arch}-strip --strip-all {} \;
+ find "${pkgdir}/usr/${_arch}" -name '*.dll' -exec ${_arch}-strip --strip-unneeded {} \;
+ find "${pkgdir}/usr/${_arch}" \( -name '*.a' -not -name 'libQt5QmlDevTools.a' -not -name 'libQt5Bootstrap.a' \) -exec ${_arch}-strip -g {} \;
[[ -d "${pkgdir}/usr/${_arch}/lib/qt/bin/" ]] && \
find "${pkgdir}/usr/${_arch}/lib/qt/bin/" -exec strip --strip-all {} \;
find "${pkgdir}/usr/${_arch}/lib/" -iname "*.so.$pkgver" -exec strip --strip-unneeded {} \;
popd
done
- # Drop QMAKE_PRL_BUILD_DIR because reference the build dir
+ # drop QMAKE_PRL_BUILD_DIR because reference the build dir
find "${pkgdir}/usr/${_arch}/lib" -type f -name '*.prl' -exec sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' {} \;
done
}